<?
/*
 * Smarty plugin
 * -------------------------------------------------------------
 * File:     function.translate.php
 * Type:     function
 * Name:     link
 * Purpose:  zwraca przetlumaczony tekst
 * -------------------------------------------------------------
 */

function smarty_function_translate_to_title($param, &$smarty)
{
	
    $string =  Dictionary::Translate($param['word']);
    $arrayTitle = Utils::TextToUpperArray($string, $param['lang']);
    
    $ret = "<span style=\"font-family:'Times New Roman'; font-size:28px; color: red; margin-right: -2px; pading: 0px;\">{$arrayTitle[0]}</span>";
		$ret .= "<span style=\"font-family:'Times New Roman'; font-size:21px; margin-left: 0px; pading: 0px; letter-spacing: 1px;\">{$arrayTitle[1]}</span>";
    
    return $ret;
    
    
}